/**
 * GRID_001 部件模型
 *
 * @export
 * @class GRID_001Model
 */
export default class GRID_001Model {

	/**
	 * 是否是实体数据导出
	 *
	 * @returns {any[]}
	 * @memberof GRID_001GridMode
	 */
	public isDEExport: boolean = false;

	/**
	 * 获取数据项集合
	 *
	 * @returns {any[]}
	 * @memberof GRID_001GridMode
	 */
	public getDataItems(): any[] {
    if(this.isDEExport){
		  return [
      ]
    }else{
		  return [
        {
          name: 'hightitle',
          prop: 'hightitle',
          dataType: 'YESNO',
        },
        {
          name: 'hremployeeid',
          prop: 'hremployeeid',
          dataType: 'PICKUP',
        },
        {
          name: 'titlelevel',
          prop: 'titlelevel',
          dataType: 'SSCODELIST',
        },
        {
          name: 'titletime',
          prop: 'titletime',
          dataType: 'DATE',
        },
        {
          name: 'majortype',
          prop: 'majortype',
          dataType: 'TEXT',
        },
        {
          name: 'hrtechnicaltitlename',
          prop: 'hrtechnicaltitlename',
          dataType: 'TEXT',
        },
        {
          name: 'authorganization',
          prop: 'authorganization',
          dataType: 'TEXT',
        },
        {
          name: 'srfmajortext',
          prop: 'hrtechnicaltitlename',
          dataType: 'TEXT',
        },
        {
          name: 'srfdataaccaction',
          prop: 'hrtechnicaltitleid',
          dataType: 'GUID',
        },
        {
          name: 'srfkey',
          prop: 'hrtechnicaltitleid',
          dataType: 'GUID',
          isEditable:true
        },
        {
          name: 'major',
          prop: 'major',
          dataType: 'TEXT',
        },
        {
          name: 'hrtechnicaltitle',
          prop: 'hrtechnicaltitleid',
        },

        {
          name:'size',
          prop:'size'
        },
        {
          name:'query',
          prop:'query'
        },
        {
          name:'filter',
          prop:'filter'
        },
        {
          name:'page',
          prop:'page'
        },
        {
          name:'sort',
          prop:'sort'
        },
        {
          name:'srfparentdata',
          prop:'srfparentdata'
        },
        // 前端新增修改标识，新增为"0",修改为"1"或未设值
        {
          name: 'srffrontuf',
          prop: 'srffrontuf',
          dataType: 'TEXT',
        },
      ]
    }
  }

}